Loading...
Searching...
No Matches
pcl::detail::AddPoint< PointT > Struct Template Reference

`#include <pcl/common/impl/accumulators.hpp>`

## Public Member Functions

| AddPoint (const PointT &point)
template<typename AccumulatorT >
void | operator() (AccumulatorT &accumulator) const

## Public Attributes

const PointT & | p

## Detailed Description

template<typename PointT>
struct pcl::detail::AddPoint< PointT >

Definition at line 251 of file accumulators.hpp.

## Constructor & Destructor Documentation

## AddPoint()

template<typename PointT >

pcl::detail::AddPoint< PointT >::AddPoint | ( | const PointT & | point | ) |

inline

Definition at line 256 of file accumulators.hpp.

## Member Function Documentation

## operator()()

template<typename PointT >
template<typename AccumulatorT >

void pcl::detail::AddPoint< PointT >::operator() | ( | AccumulatorT & | accumulator | ) | const

inline

Definition at line 259 of file accumulators.hpp.

References pcl::detail::AddPoint< PointT >::p.

## Member Data Documentation

## p

template<typename PointT >

const PointT& pcl::detail::AddPoint< PointT >::p

Definition at line 254 of file accumulators.hpp.

Referenced by pcl::detail::AddPoint< PointT >::operator()().

The documentation for this struct was generated from the following file:

- pcl/common/impl/accumulators.hpp